> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Members or Get a Member

> Without id/email, returns a paginated list of members. If id or email is provided, returns a single member.



## OpenAPI

````yaml get /members
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /members:
    get:
      summary: List Members or Get a Member
      description: >-
        Without id/email, returns a paginated list of members. If id or email is
        provided, returns a single member.
      parameters:
        - name: product_id
          in: query
          schema:
            type: string
        - name: offer_id
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: id
          in: query
          schema:
            type: string
          description: If provided, returns the member with this ID instead of a list.
        - name: email
          in: query
          schema:
            type: string
          description: >-
            If provided (and id not given), returns the member with this email
            instead of a list.
      responses:
        '200':
          description: >-
            List of members (when no id/email) or a single member (when id/email
            provided).
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      members:
                        type: array
                        description: 25 members per page.
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            email:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                            last_seen_at:
                              type: string
                              format: date-time
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                      pagination:
                        type: object
                        properties:
                          total_count:
                            type: integer
                          total_pages:
                            type: integer
                          current_page:
                            type: integer
                  - type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                      last_seen_at:
                        type: string
                        format: date-time
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````